%global namedreltag -beta-3
%global namedversion %{version}%{?namedreltag}

Name:          wagon-maven-plugin
Version:       1.0
%define        subrel 1
Release:       %mkrel 6
Summary:       Maven Wagon plugin
Group:         Development/Java
License:       ASL 2.0
Url:           http://mojo.codehaus.org/wagon-maven-plugin/
Source0:       http://repo2.maven.org/maven2/org/codehaus/mojo/%{name}/%{namedversion}/%{name}-%{namedversion}-source-release.zip
Patch0:        001-fix-build.patch
BuildRequires: jpackage-utils
BuildRequires: java-devel

BuildRequires: maven-compiler-plugin
BuildRequires: maven-install-plugin
BuildRequires: maven-invoker-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-local
BuildRequires: maven-shared-file-management
BuildRequires: maven-surefire-plugin
BuildRequires: maven-wagon
BuildRequires: maven-plugin-cobertura
BuildRequires: plexus-utils
BuildRequires: maven-local
BuildRequires: mvn(org.apache.maven.plugins:maven-plugin-plugin)

Requires:      maven-wagon

Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:      java
BuildArch:     noarch

%description
Maven 2 plugin that can be used to access various operations on a given URL using a supported maven wagon.
Supports ecursive upload, download, and list directory content functionality.

%package javadoc
Summary:       Javadocs for %{name}
Group:         Development/Java
Requires:      jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n wagon-maven-plugin-%{namedversion}
%patch0 -p0

%build
mvn-rpmbuild -e  install javadoc:aggregate
%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
cp -p target/%{name}-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

# APIDOCS
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -rp target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}

# POM
install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}
install -pm 644 pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-%{name}.pom

# DEPMAP
%add_maven_depmap JPP-%{name}.pom %{name}.jar

%files
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%{_javadir}/*

%files javadoc
%{_javadocdir}/%{name}


%changelog
* Sat May 16 2015 neoclust <neoclust> 1.0-6.1.mga4
+ Revision: 822164
- Remove old %%update_maven_depmap macro

* Mon Dec 16 2013 dmorgan <dmorgan> 1.0-6.mga4
+ Revision: 557224
- Build with maven-local

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

  + luigiwalser <luigiwalser>
    - BR maven-local for mvn-rpmbuild

* Mon Jan 14 2013 umeabot <umeabot> 1.0-3.mga3
+ Revision: 385595
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 17 2012 dmorgan <dmorgan> 1.0-2.mga3
+ Revision: 295273
- Get rid of plexus-maven-plugin dependancy

* Sun Nov 06 2011 gil <gil> 1.0-1.mga2
+ Revision: 164326
- imported package wagon-maven-plugin

